import type { Theme } from '../../lib/theming/Theme';
export declare const globalClasses: {
    root: string;
    arrow: string;
    caption: string;
    text: string;
    innerShadow: string;
    disabled: string;
};
export declare const styles: {
    root(t: Theme): string;
    withArrowIconRightSmall(t: Theme): string;
    withArrowIconRightMedium(t: Theme): string;
    withArrowIconRightLarge(t: Theme): string;
    withArrowIconLeftSmall(t: Theme): string;
    withArrowIconLeftMedium(t: Theme): string;
    withArrowIconLeftLarge(t: Theme): string;
    simulatedPress(): string;
    outline(): string;
    outlineWarning(t: Theme): string;
    outlineError(t: Theme): string;
    outlineLink(): string;
    outlineLinkWarning(t: Theme): string;
    outlineLinkError(t: Theme): string;
    sizeSmall(t: Theme): string;
    sizeSmallIE11(t: Theme): string;
    sizeMedium(t: Theme): string;
    sizeMediumIE11(t: Theme): string;
    sizeLarge(t: Theme): string;
    sizeLargeIE11(t: Theme): string;
    sizeSmallWithIcon(t: Theme): string;
    sizeMediumWithIcon(t: Theme): string;
    sizeLargeWithIcon(t: Theme): string;
    sizeSmallWithRightIcon(t: Theme): string;
    sizeMediumWithRightIcon(t: Theme): string;
    sizeLargeWithRightIcon(t: Theme): string;
    sizeSmallWithIconWithoutText(t: Theme): string;
    sizeMediumWithIconWithoutText(t: Theme): string;
    sizeLargeWithIconWithoutText(t: Theme): string;
    sizeSmallWithIconWithoutText5_3(t: Theme): string;
    sizeMediumWithIconWithoutText5_3(t: Theme): string;
    sizeLargeWithIconWithoutText5_3(t: Theme): string;
    link(t: Theme): string;
    linkLineHeight(): string;
    linkLineHeightSafariFallback(): string;
    linkFocus(t: Theme): string;
    linkDisabled(t: Theme): string;
    focus(t: Theme): string;
    disabled(t: Theme): string;
    disabledWithoutOutline(t: Theme): string;
    arrowIconRoot(): string;
    arrowIconRootSmall(t: Theme): string;
    arrowIconRootMedium(t: Theme): string;
    arrowIconRootLarge(t: Theme): string;
    arrowIconLeft(): string;
    default(t: Theme): string;
    primary(t: Theme): string;
    success(t: Theme): string;
    danger(t: Theme): string;
    pay(t: Theme): string;
    text(t: Theme): string;
    backless(t: Theme): string;
    checked(t: Theme): string;
    checkedFocused(t: Theme): string;
    checkedDisabled(t: Theme): string;
    caption(): string;
    captionLink(): string;
    captionDisabled(): string;
    wrap(t: Theme): string;
    wrapSmall(t: Theme): string;
    wrapMedium(t: Theme): string;
    wrapLarge(t: Theme): string;
    narrow(): string;
    noPadding(): string;
    noRightPadding(): string;
    wrapLink(): string;
    borderless(): string;
    backlessDisabled(t: Theme): string;
    textDisabled(): string;
    loading(): string;
    visibilityHidden(): string;
};
export declare const activeStyles: {
    default(t: Theme): string;
    primary(t: Theme): string;
    success(t: Theme): string;
    danger(t: Theme): string;
    pay(t: Theme): string;
    link(t: Theme): string;
    text(t: Theme): string;
    backless(t: Theme): string;
};
